Pular para o conteúdo principal
Routal
API ReferenceWebhook

Delete a webhook

Deletes a webhook.

DELETE
/v2/webhook/{id}

Deletes a webhook. Deliveries stop right away, including retries still pending. This cannot be undone: to stop deliveries temporarily, update it with enabled: false instead.

private_key<token>

Pass your API key as the private_key query string parameter. Generate and rotate keys in Developer Settings of your Routal workspace.

Keys stay server-side. Never ship them to a browser or mobile app.

In: query

Path Parameters

id*string

Webhook id

Match^[0-9a-f]{24}

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/webhook/string"
{
  "id": "4f75d991ac359f8c4c79d762",
  "organization_id": "4f75d991ac359f8c4c79d762",
  "project_id": "4f75d991ac359f8c4c79d762",
  "url": "https://example.com",
  "enabled_events": [
    "routal.planner.2.plan.created",
    "routal.drivers.2.route.finished"
  ],
  "enabled": true,
  "failure_count": 0,
  "created_by": "4f75d991ac359f8c4c79d762",
  "created_at": "2026-11-10T16:55:36.096Z",
  "updated_at": "2026-11-10T16:55:36.096Z",
  "deleted_at": "2026-11-10T16:55:36.096Z"
}
{
  "message": "Domain not found",
  "message_id": "highway.domain.error.not_found"
}
Empty
{
  "message": "Domain not found",
  "message_id": "highway.domain.error.not_found"
}
{
  "message": "Domain not found",
  "message_id": "highway.domain.error.not_found"
}
Empty
Empty